> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions by vendor



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/transactions-by-vendors
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/transactions-by-vendors:
    get:
      tags:
        - Reports
      summary: Get transactions by vendor
      operationId: TransactionsByVendorController_transactionsByVendor
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - description: Number of decimal places to display
          required: false
          name: precision
          in: query
          schema:
            example: 2
            type: number
        - description: Whether to divide the number by 1000
          required: false
          name: divideOn1000
          in: query
          schema:
            example: false
            type: boolean
        - description: Whether to show zero values
          required: false
          name: showZero
          in: query
          schema:
            type: boolean
            example: true
        - description: How to format money values
          required: false
          name: formatMoney
          in: query
          schema:
            example: total
            enum:
              - total
              - always
              - none
            type: string
        - description: How to format negative numbers
          required: false
          name: negativeFormat
          in: query
          schema:
            example: parentheses
            enum:
              - parentheses
              - mines
            type: string
        - name: noneTransactions
          required: false
          in: query
          description: Whether to exclude transactions
          schema:
            default: false
            example: false
            type: boolean
        - name: noneZero
          required: false
          in: query
          description: Whether to exclude zero values
          schema:
            default: false
            example: false
            type: boolean
        - name: vendorsIds
          required: false
          in: query
          description: Array of vendor IDs to include
          schema:
            type: array
            items:
              type: string
        - name: accept
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: Transactions by vendor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsByVendorResponseDto'
            application/json+table:
              schema:
                $ref: '#/components/schemas/TransactionsByVendorTableResponseDto'
components:
  schemas:
    TransactionsByVendorResponseDto:
      type: object
      properties:
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/TransactionsByVendorQueryResponseDto'
        data:
          description: Vendors with transactions
          type: array
          items:
            $ref: '#/components/schemas/VendorWithTransactionsDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/TransactionsByVendorMetaDto'
      required:
        - query
        - data
        - meta
    TransactionsByVendorTableResponseDto:
      type: object
      properties:
        table:
          description: Table data structure
          allOf:
            - $ref: '#/components/schemas/FinancialTableDataDto'
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/TransactionsByVendorQueryResponseDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/TransactionsByVendorMetaDto'
      required:
        - table
        - query
        - meta
    TransactionsByVendorQueryResponseDto:
      type: object
      properties:
        fromDate:
          type: string
          description: Start date
        toDate:
          type: string
          description: End date
        numberFormat:
          description: Number format settings
          allOf:
            - $ref: '#/components/schemas/NumberFormatQueryDto'
        vendorsIds:
          description: Vendor IDs to include
          type: array
          items:
            type: number
        noneZero:
          type: boolean
          description: Exclude zero balance vendors
      required:
        - fromDate
        - toDate
        - numberFormat
        - vendorsIds
        - noneZero
    VendorWithTransactionsDto:
      type: object
      properties:
        vendorId:
          type: number
          description: Vendor ID
        vendorName:
          type: string
          description: Vendor name
        openingBalance:
          description: Opening balance
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        transactions:
          description: Vendor transactions
          type: array
          items:
            $ref: '#/components/schemas/VendorTransactionDto'
        closingBalance:
          description: Closing balance
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        totalDebit:
          description: Total debit
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        totalCredit:
          description: Total credit
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
      required:
        - vendorId
        - vendorName
        - transactions
        - closingBalance
    TransactionsByVendorMetaDto:
      type: object
      properties:
        organizationName:
          type: string
          description: Organization name
        baseCurrency:
          type: string
          description: Base currency code
        dateFormat:
          type: string
          description: Date format string
        isCostComputeRunning:
          type: boolean
          description: Whether cost computation is running
        sheetName:
          type: string
          description: Sheet name
        formattedFromDate:
          type: string
          description: Formatted from date
        formattedToDate:
          type: string
          description: Formatted to date
        formattedDateRange:
          type: string
          description: Formatted date range
      required:
        - organizationName
        - baseCurrency
        - dateFormat
        - isCostComputeRunning
        - sheetName
        - formattedFromDate
        - formattedToDate
        - formattedDateRange
    FinancialTableDataDto:
      type: object
      properties:
        columns:
          description: Table column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
        rows:
          description: Table row data
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - columns
        - rows
    NumberFormatQueryDto:
      type: object
      properties:
        precision:
          type: number
          description: Number of decimal places to display
          example: 2
        divideOn1000:
          type: boolean
          description: Whether to divide the number by 1000
          example: false
        showZero:
          type: boolean
          description: Whether to show zero values
          example: true
        formatMoney:
          type: string
          description: How to format money values
          example: total
          enum:
            - total
            - always
            - none
        negativeFormat:
          type: string
          description: How to format negative numbers
          example: parentheses
          enum:
            - parentheses
            - mines
    FinancialReportTotalDto:
      type: object
      properties:
        amount:
          type: number
          description: Numeric amount
        formattedAmount:
          type: string
          description: Formatted amount string
        currencyCode:
          type: string
          description: Currency code
        date:
          type: object
          description: Date associated with the total
      required:
        - amount
        - formattedAmount
        - currencyCode
    VendorTransactionDto:
      type: object
      properties:
        date:
          type: string
          description: Transaction date
        dateFormatted:
          type: string
          description: Formatted date
        transactionType:
          type: string
          description: Transaction type
        transactionNumber:
          type: string
          description: Transaction number
        referenceType:
          type: string
          description: Reference type
        referenceId:
          type: number
          description: Reference ID
        description:
          type: string
          description: Transaction description
        amount:
          description: Transaction amount
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        runningBalance:
          description: Running balance
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
      required:
        - date
        - dateFormatted
        - transactionType
        - transactionNumber
        - amount
        - runningBalance
    FinancialTableColumnDto:
      type: object
      properties:
        key:
          type: string
          description: Column key
        label:
          type: string
          description: Column header label
        cellIndex:
          type: number
          description: Cell position index
        children:
          description: Nested column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
      required:
        - key
        - label
    FinancialTableRowDto:
      type: object
      properties:
        cells:
          description: Cell data for this row
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableCellDto'
        rowTypes:
          description: Row type classifications
          type: array
          items:
            type: string
        id:
          type: object
          description: Row identifier
        children:
          description: Child rows
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - cells
        - rowTypes
        - id
    FinancialTableCellDto:
      type: object
      properties:
        key:
          type: string
          description: Cell key
        value:
          type: string
          description: Cell value
      required:
        - key
        - value

````